package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.HealthMedicalRecordDao;
import com.huimv.management.entity.HealthMedicalRecordEntity;
import com.huimv.management.service.HealthMedicalRecordService;


@Service("healthMedicalRecordService")
public class HealthMedicalRecordServiceImpl extends ServiceImpl<HealthMedicalRecordDao, HealthMedicalRecordEntity> implements HealthMedicalRecordService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<HealthMedicalRecordEntity> page = this.page(
                new Query<HealthMedicalRecordEntity>().getPage(params),
                new QueryWrapper<HealthMedicalRecordEntity>()
        );

        return new PageUtils(page);
    }

}